aboutsummaryrefslogtreecommitdiff
path: root/check/bin.sh
diff options
context:
space:
mode:
Diffstat (limited to 'check/bin.sh')
-rw-r--r--check/bin.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/check/bin.sh b/check/bin.sh
new file mode 100644
index 00000000..04b0da6b
--- /dev/null
+++ b/check/bin.sh
@@ -0,0 +1,4 @@
+for bin in bin/*.sh ; do
+ sh -n "$bin" || exit
+done
+printf 'All shell scripts in bin parsed successfully.\n'